Package org.eclipse.m2m.atl.common

# Class ATLLogFormatter

java.lang.Object
java.util.logging.Formatter
org.eclipse.m2m.atl.common.ATLLogFormatter

public class ATLLogFormatter extends Formatter
Log formatter that is less verbose than SimpleFormatter.

## Field Summary

Fields
Modifier and Type
Field
Description
`static final ATLLogFormatter`
`INSTANCE`
The log formatter.

## Constructor Summary

Constructors
Modifier
Constructor
Description
`protected`
`ATLLogFormatter()`
Constructor.

## Method Summary

Modifier and Type
Method
Description
`String`
`format(LogRecord record)`

### Methods inherited from class java.util.logging.Formatter

`formatMessage, getHead, getTail`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Field Details

### INSTANCE

public static final ATLLogFormatter INSTANCE
The log formatter.

## Constructor Details

### ATLLogFormatter

protected ATLLogFormatter()
Constructor.

## Method Details

### format

public String format(LogRecord record)

Specified by:
  `format` in class `Formatter`
See Also:
  - `Formatter.format(java.util.logging.LogRecord)`